AIHistoryDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.dao.AIHistoryDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.dao
Class AIHistoryDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.dao.AIHistoryDAO

    public class AIHistoryDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AIHistoryDAO(DAOFactory f)`

Method Summary
`AIHistory` | `create(AppdefEntityID entityId, java.lang.Integer groupId, java.lang.Integer batchId, java.lang.String subject, ScanConfigurationCore config, java.lang.String scanName, java.lang.String scanDesc, java.lang.Boolean scheduled, long startTime, long endTime, long dateScheduled, java.lang.String status, java.lang.String description, java.lang.String message)`
`java.util.Collection` | `findByEntity(int type, int id)`
`java.util.Collection` | `findByEntityDateScheduled(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityDateScheduledAsc(int type, int id)` Deprecated. use findByEntityDateScheduled()
`java.util.Collection` | `findByEntityDateScheduledDesc(int type, int id)` Deprecated. use findByEntityDateScheduled()
`java.util.Collection` | `findByEntityDuration(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityDurationAsc(int type, int id)` Deprecated. use findByEntityDuration()
`java.util.Collection` | `findByEntityDurationDesc(int type, int id)` Deprecated. use findByEntityDuration()
`java.util.Collection` | `findByEntityStartTime(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityStartTimeAsc(int type, int id)` Deprecated. use findByEntityStatus()
`java.util.Collection` | `findByEntityStartTimeDesc(int type, int id)` Deprecated. use findByEntityStatus()
`java.util.Collection` | `findByEntityStatus(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityStatusAsc(int type, int id)` Deprecated. use findByEntityStatus()
`java.util.Collection` | `findByEntityStatusDesc(int type, int id)` Deprecated. use findByEntityStatus()
`java.util.Collection` | `findByGroupDateScheduled(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupDateScheduledAsc(int groupId, int batchId)` Deprecated. use findByGroupDateScheduled()
`java.util.Collection` | `findByGroupDateScheduledDesc(int groupId, int batchId)` Deprecated. use findByGroupDateScheduled()
`java.util.Collection` | `findByGroupDuration(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupDurationAsc(int groupId, int batchId)` Deprecated. use findByGroupDuration()
`java.util.Collection` | `findByGroupDurationDesc(int groupId, int batchId)` Deprecated. use findByGroupDuration()
`java.util.Collection` | `findByGroupStartTime(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupStartTimeAsc(int groupId, int batchId)` Deprecated. use findByGroupStartTime()
`java.util.Collection` | `findByGroupStartTimeDesc(int groupId, int batchId)` Deprecated. use findByGroupStartTime()
`java.util.Collection` | `findByGroupStatus(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupStatusAsc(int groupId, int batchId)` Deprecated. use findByGroupStatus()
`java.util.Collection` | `findByGroupStatusDesc(int groupId, int batchId)` Deprecated. use findByGroupStatus()
`AIHistory` | `findById(java.lang.Integer id)`
`void` | `remove(AIHistory entity)`
`void` | `save(AIHistory entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIHistoryDAO

    public AIHistoryDAO(DAOFactory f)

Method Detail

### findById

    public AIHistory findById(java.lang.Integer id)

### save

    public void save(AIHistory entity)

### remove

    public void remove(AIHistory entity)

### create

    public AIHistory create(AppdefEntityID entityId,
                            java.lang.Integer groupId,
                            java.lang.Integer batchId,
                            java.lang.String subject,
                            ScanConfigurationCore config,
                            java.lang.String scanName,
                            java.lang.String scanDesc,
                            java.lang.Boolean scheduled,
                            long startTime,
                            long endTime,
                            long dateScheduled,
                            java.lang.String status,
                            java.lang.String description,
                            java.lang.String message)
                     throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### findByEntity

    public java.util.Collection findByEntity(int type,
                                             int id)

### findByEntityStartTimeDesc

    public java.util.Collection findByEntityStartTimeDesc(int type,
                                                          int id)

  Deprecated. use findByEntityStatus()

  Returns:

### findByEntityStartTimeAsc

    public java.util.Collection findByEntityStartTimeAsc(int type,
                                                         int id)

  Deprecated. use findByEntityStatus()

  Returns:

### findByEntityStartTime

    public java.util.Collection findByEntityStartTime(int type,
                                                      int id,
                                                      boolean asc)

### findByEntityStatusDesc

    public java.util.Collection findByEntityStatusDesc(int type,
                                                       int id)

  Deprecated. use findByEntityStatus()

  Returns:

### findByEntityStatusAsc

    public java.util.Collection findByEntityStatusAsc(int type,
                                                      int id)

  Deprecated. use findByEntityStatus()

  Returns:

### findByEntityStatus

    public java.util.Collection findByEntityStatus(int type,
                                                   int id,
                                                   boolean asc)

### findByEntityDurationDesc

    public java.util.Collection findByEntityDurationDesc(int type,
                                                         int id)

  Deprecated. use findByEntityDuration()

  Returns:

### findByEntityDurationAsc

    public java.util.Collection findByEntityDurationAsc(int type,
                                                        int id)

  Deprecated. use findByEntityDuration()

  Returns:

### findByEntityDuration

    public java.util.Collection findByEntityDuration(int type,
                                                     int id,
                                                     boolean asc)

### findByEntityDateScheduledDesc

    public java.util.Collection findByEntityDateScheduledDesc(int type,
                                                              int id)

  Deprecated. use findByEntityDateScheduled()

  Returns:

### findByEntityDateScheduledAsc

    public java.util.Collection findByEntityDateScheduledAsc(int type,
                                                             int id)

  Deprecated. use findByEntityDateScheduled()

  Returns:

### findByEntityDateScheduled

    public java.util.Collection findByEntityDateScheduled(int type,
                                                          int id,
                                                          boolean asc)

### findByGroupStartTimeDesc

    public java.util.Collection findByGroupStartTimeDesc(int groupId,
                                                         int batchId)

  Deprecated. use findByGroupStartTime()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupStartTimeAsc

    public java.util.Collection findByGroupStartTimeAsc(int groupId,
                                                        int batchId)

  Deprecated. use findByGroupStartTime()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupStartTime

    public java.util.Collection findByGroupStartTime(int groupId,
                                                     int batchId,
                                                     boolean asc)

### findByGroupStatusDesc

    public java.util.Collection findByGroupStatusDesc(int groupId,
                                                      int batchId)

  Deprecated. use findByGroupStatus()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupStatusAsc

    public java.util.Collection findByGroupStatusAsc(int groupId,
                                                     int batchId)

  Deprecated. use findByGroupStatus()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupStatus

    public java.util.Collection findByGroupStatus(int groupId,
                                                  int batchId,
                                                  boolean asc)

### findByGroupDurationDesc

    public java.util.Collection findByGroupDurationDesc(int groupId,
                                                        int batchId)

  Deprecated. use findByGroupDuration()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupDurationAsc

    public java.util.Collection findByGroupDurationAsc(int groupId,
                                                       int batchId)

  Deprecated. use findByGroupDuration()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupDuration

    public java.util.Collection findByGroupDuration(int groupId,
                                                    int batchId,
                                                    boolean asc)

### findByGroupDateScheduledDesc

    public java.util.Collection findByGroupDateScheduledDesc(int groupId,
                                                             int batchId)

  Deprecated. use findByGroupDateScheduled()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupDateScheduledAsc

    public java.util.Collection findByGroupDateScheduledAsc(int groupId,
                                                            int batchId)

  Deprecated. use findByGroupDateScheduled()

  Parameters:
    `groupId` -
    `batchId` -
  Returns:

### findByGroupDateScheduled

    public java.util.Collection findByGroupDateScheduled(int groupId,
                                                         int batchId,
                                                         boolean asc)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.